# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/hydis,hv101hd1.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Hydis HV101HD1 DSI Display Panel

maintainers:
  - Svyatoslav Ryhel <clamor95@gmail.com>

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    const: hydis,hv101hd1

  reg:
    maxItems: 1

  vdd-supply: true
  vio-supply: true

  backlight: true
  port: true

required:
  - compatible
  - vdd-supply
  - vio-supply
  - backlight

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    dsi {
        #address-cells = <1>;
        #size-cells = <0>;

        panel@0 {
            compatible = "hydis,hv101hd1";
            reg = <0>;

            vdd-supply = <&vdd_lcd>;
            vio-supply = <&vddio_lcd>;

            backlight = <&backlight>;

            port {
                panel_in: endpoint {
                    remote-endpoint = <&dsi_out>;
                };
            };
        };
    };
...
